Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.forms
Class ChoiceItem

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDirectObject>
          org.pdfclown.documents.interaction.forms.ChoiceItem

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class ChoiceItem

extends PdfObjectWrapper<PdfDirectObject>

Field option [PDF:1.6:8.6.3].

Since:
  0.0.7
Version:
  0.1.2, 08/23/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`ChoiceItem(Document context, String value, String text)`
`ChoiceItem(String value)`

Method Summary
`ChoiceItem` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`String` | `getText()` Gets the displayed text.
`String` | `getValue()` Gets the export value.
`void` | `setText(String value)`
`void` | `setValue(String value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoiceItem

    public ChoiceItem(String value)

### ChoiceItem

    public ChoiceItem(Document context,
                      String value,
                      String text)

Method Detail

### clone

    public ChoiceItem clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDirectObject>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getText

    public String getText()

  Gets the displayed text.

### getValue

    public String getValue()

  Gets the export value.

### setText

    public void setText(String value)

  See Also:
    `getText()`

### setValue

    public void setValue(String value)

  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.